//////////////////////////////////////////////////////////////////////
//
// Project : BlueEye
//
// Autor : Bernard Lidicky
//
// Gif.h: interface for the CGif class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GIF_H__442297D2_3C58_48F1_B99B_C8BEAFBF4305__INCLUDED_)
#define AFX_GIF_H__442297D2_3C58_48F1_B99B_C8BEAFBF4305__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct LZW_STRING
{
	short base;
	char newch;
	short length;
};

typedef struct
{
	byte r;
	byte g;
	byte b;
} RGB;


class CGif  
{
public:
	int  f_getw();
	unsigned char f_getc();
	CGif();
	virtual ~CGif();

	BYTE* load_gif(char *filename);
	void output_string(void);
	void get_string(int num);
	void get_code(void);
	void clear_table(void);
	int _color_load_depth(int depth);

	CFile f;
	int empty_string, curr_bit_size, bit_overflow;
	int bit_pos, data_pos, data_len, entire, code;
	int cc, string_length, i, bit_size;
	unsigned char string[4096];
	struct LZW_STRING str[4096];
	BYTE *bmp;
	int image_x, image_y, image_w, image_h, x, y;
	int interlace;
	BYTE *px;

	RGB pal[256];


};

#endif // !defined(AFX_GIF_H__442297D2_3C58_48F1_B99B_C8BEAFBF4305__INCLUDED_)
